public class Parabel
{
    private double a;
    private double b;
    private double c;

    public Parabel (double aWert, double bWert, double cWert)
    {
        a = aWert;
        b = bWert;
        c = cWert;
        
        if (0 == a)
        {
            System.out.println ("Das ist keine Parabel.");
        }
    }
    
    public void druckeScheitelpunkt ()
    {
        double xs;
        double ys;
        
        xs = -b/(2*a);
        ys = c - b*b/(4*a*a);
        
        System.out.println ("Scheitelpunktkoordinaten:");
        System.out.println ("S (" + xs + "|" + ys + ")");
    }
    
    public void druckeInfo ()
    {
        System.out.println ("Die Parabel ist nach " +
            gibOeffnungsrichtung () + " geffnet.");
           
        if (istNormalparabel ())
        {
            System.out.println ("Das ist eine Normalparabel.");
        }
    }
    
    public void druckeNullstellen ()
    {
        double x1;
        double x2;
        double D = gibDiskriminante ();
        
        if (D < 0)
        {
            System.out.println ("Die Parabel hat keine Nullstellen.");
        }
        else
        {
            x1 = (-b - Math.sqrt (D)) / (2*a);
            x2 = (-b + Math.sqrt (D)) / (2*a);
            
            System.out.println ("Nullstellen: " + x1 + " und " + x2);
        }
    }
    
    

    public void zeichne ()
    {
        Koordinatensystem zeichenblatt =
                     Koordinatensystem.gibKoordinatensystem ();        
        double x;
        double y;
        double schritt = 0.01;
        
        for (x = -10; x <= 10; x = x + schritt)
        {
            y = a*x*x + b*x + c;
            
            if (y < 0)
            {
                zeichenblatt.zeichnePunkt (x, y, "blau");
            }
            else
            {
                zeichenblatt.zeichnePunkt (x, y, "rot");
            }
            
        }
    }
       
    public void loesche ()
    {
        Koordinatensystem zeichenblatt =
            Koordinatensystem.gibKoordinatensystem ();        
        double x;
        double y;
        double schritt = 0.01;
        
        for (x = -10; x <= 10; x = x + schritt)
        {
            y = a*x*x + b*x + c;
            
            zeichenblatt.loeschePunkt (x, y);
        }
    }
    
    private double gibDiskriminante ()
    {
        return b*b - 4*a*c;
    }
    
    private String gibOeffnungsrichtung ()
    {
        if (a > 0)
        {
            return "oben";
        }
        else
        {
            return "unten";
        }
    }
    
    private boolean istNormalparabel ()
    {
        if ((1 == a) || (-1 == a))
        {
            return true;
        }
        else
        {
            return false;
        }
    }
}